/** @file  pmNonLinear.h
 *
 *  Provides polynomial or table lookup non-linearity corrections to readouts.
 *
 *  @author GLG, MHPCC
 *
 *  @version $Revision: 1.4 $ $Name: rel5_1 $
 *  @date $Date: 2005/01/17 19:58:18 $
 *
 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
 *
 */

#if !defined(PM_NON_LINEAR_H)
#define PM_NON_LINEAR_H

#include "pslib.h"

psReadout *pmNonLinearityPolynomial(psReadout *in,
                                    const psPolynomial1D *coeff);

psReadout *pmNonLinearityLookup(psReadout *in,
                                const psVector *inFlux,
                                const psVector *outFlux);

#endif
