/** @file  pmReadoutCombine.h
 *
 *  This file will contain a module which will combine multiple readout images.
 *
 *  @author GLG, MHPCC
 *
 *  @version $Revision: 1.2.4.1 $ $Name: rel5_1 $
 *  @date $Date: 2005/04/06 19:34:06 $
 *
 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
 *
 */

#if !defined(PM_READOUT_COMBINE_H)
#define PM_READOUT_COMBINE_H

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include<stdio.h>
#include<math.h>
#include "pslib.h"
#include "psConstants.h"

typedef struct
{
    psStats *stats;
    unsigned int maskVal;
    float fracHigh;
    float fracLow;
    int nKeep;
}
psCombineParams;

psImage *pmReadoutCombine(psImage *output,
                          const psList *inputs,
                          psCombineParams *params,
                          const psVector *zero,
                          const psVector *scale,
                          bool applyZeroScale,
                          float gain,
                          float readnoise);

#endif
