/** @file  pmSubtractSky.h
 *
 *  This file will contain a module which will create a model of the
 *  background sky and subtract that from the input image.
 *
 *  @author GLG, MHPCC
 *
 *  @version $Revision: 1.2.4.1 $ $Name: rel5_1 $
 *  @date $Date: 2005/04/06 19:34:06 $
 *
 *  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
 *
 */

#if !defined(PM_SUBTRACT_SKY_H)
#define PM_SUBTRACT_SKY_H

#if HAVE_CONFIG_H
#include <config.h>
#endif

#include<stdio.h>
#include<math.h>
#include "pslib.h"

// XXX: this is pmFit in pmSubtractBias.c, named psFit here.
typedef enum {
    PM_FIT_NONE,                              ///< No fit
    PM_FIT_POLYNOMIAL,                        ///< Fit polynomial
    PM_FIT_SPLINE                             ///< Fit cubic splines
} psFit;

psReadout *pmSubtractSky(psReadout *in,
                         void *fitSpec,
                         psFit fit,
                         int binFactor,
                         psStats *stats,
                         float clipSD);
#endif
